Bug 233446 - devel/libsysinfo: add pkg-config pc file
Summary: devel/libsysinfo: add pkg-config pc file
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Warner Losh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-11-23 17:29 UTC by unrelentingtech
Modified: 2018-12-11 21:30 UTC (History)
3 users (show)

See Also:
tobik: maintainer-feedback+


Attachments
libsysinfo-pc.patch (1.19 KB, patch)
2018-11-23 17:29 UTC, unrelentingtech
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description unrelentingtech 2018-11-23 17:29:59 UTC
Created attachment 199489 [details]
libsysinfo-pc.patch

(required for jack2 with dbus)
Comment 1 Warner Losh freebsd_committer 2018-11-27 14:33:42 UTC
This diff looks good to me, go ahead and commit it whenever you need. It won't break anything and looks independent of everything.
I'm not sure if I need to tick any other boxes as maintainer since I don't see them at hand.
Comment 2 Tobias Kortkamp freebsd_committer 2018-11-29 11:57:14 UTC
Maintainer is committer.  Assign accordingly.

Can you update MAINTAINER to your FreeBSD.org address, so that Bugzilla can
auto-assign the port properly?

(In reply to Warner Losh from comment #1)
> This diff looks good to me, go ahead and commit it whenever you need.

I do not think that Greg has a commit bit yet.
Comment 3 commit-hook freebsd_committer 2018-12-11 17:14:30 UTC
A commit references this bug:

Author: lwhsu
Date: Tue Dec 11 17:13:56 UTC 2018
New revision: 487244
URL: https://svnweb.freebsd.org/changeset/ports/487244

Log:
  - Add pkg-config pc file [1]
  - Pet portlint while here

  PR:		233446 [1]
  Submitted by:	Greg V <greg@unrelenting.technology>
  Approved by:	imp (maintainer)

Changes:
  head/devel/libsysinfo/Makefile
  head/devel/libsysinfo/files/
  head/devel/libsysinfo/files/libsysinfo.pc.in
Comment 4 Li-Wen Hsu freebsd_committer 2018-12-11 17:15:22 UTC
Committed, thanks!

Warner, you might want to change MAINTAINER field to your @FreeBSD.org address.

Greg, how about submitting a PR to https://github.com/bsdimp/libsysinfo ?
Comment 5 unrelentingtech 2018-12-11 21:30:21 UTC
(In reply to Li-Wen Hsu from comment #4)
oops, I missed that it's on GitHub, I'll send a PR of course